Skip to main content
GET
/
v0
/
runs
List runs
curl --request GET \
  --url https://api.avidoai.com/v0/runs \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
{ "data": [ { "id": "run_1", "orgId": "org_123456", "createdAt": "2024-01-05T12:34:56.789Z", "modifiedAt": "2024-01-05T12:34:56.789Z", "taskId": "task_1", "threadId": null, "evals": [] } ], "pagination": { "skip": 0, "limit": 25, "total": 1, "totalPages": 1 } }

Documentation Index

Fetch the complete documentation index at: https://docs.avidoai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

skip
integer
default:0

Number of items to skip before starting to collect the result set.

Required range: 0 <= x <= 9007199254740991
Example:

0

limit
integer

Number of items to include in the result set.

Required range: 1 <= x <= 100
Example:

25

orderBy
enum<string>
default:createdAt

Field to order the result set by.

Available options:
createdAt,
modifiedAt,
type,
id
Example:

"createdAt"

orderDir
enum<string>
default:desc

Order direction.

Available options:
asc,
desc
Example:

"desc"

startDate
string<date-time>

Filter eval runs after this date (inclusive).

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2024-01-01T00:00:00.000Z"

endDate
string<date-time>

Filter eval runs before this date (inclusive).

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2024-12-31T23:59:59.999Z"

Response

Successfully retrieved evaluation runs

Paginated response containing runs

data
Run · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata returned in a paginated response.